# Makefile.in generated by automake 1.16.1 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/gri
pkgincludedir = $(includedir)/gri
pkglibdir = $(libdir)/gri
pkglibexecdir = $(libexecdir)/gri
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = powerpc--netbsd
host_triplet = powerpc--netbsd
bin_PROGRAMS = gri$(EXEEXT)
subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am_gri_OBJECTS = main.$(OBJEXT) G_string.$(OBJEXT) GriColor.$(OBJEXT) \
	GriPath.$(OBJEXT) GriState.$(OBJEXT) assert.$(OBJEXT) \
	chopword.$(OBJEXT) close.$(OBJEXT) command.$(OBJEXT) \
	convert.$(OBJEXT) debug.$(OBJEXT) delete.$(OBJEXT) \
	differ.$(OBJEXT) doline.$(OBJEXT) draw.$(OBJEXT) \
	endup.$(OBJEXT) expect.$(OBJEXT) file.$(OBJEXT) \
	filter.$(OBJEXT) flip.$(OBJEXT) gr.$(OBJEXT) gr_coll.$(OBJEXT) \
	graxes.$(OBJEXT) grcntour.$(OBJEXT) gri.$(OBJEXT) \
	grimage.$(OBJEXT) grinterp.$(OBJEXT) grsmooth.$(OBJEXT) \
	grstring.$(OBJEXT) group.$(OBJEXT) heal.$(OBJEXT) \
	help.$(OBJEXT) if.$(OBJEXT) ignore.$(OBJEXT) image.$(OBJEXT) \
	input.$(OBJEXT) insert.$(OBJEXT) interp.$(OBJEXT) \
	mask.$(OBJEXT) math.$(OBJEXT) new.$(OBJEXT) open.$(OBJEXT) \
	popen.$(OBJEXT) query.$(OBJEXT) quit.$(OBJEXT) read.$(OBJEXT) \
	regress.$(OBJEXT) reorder.$(OBJEXT) rescale.$(OBJEXT) \
	rewind.$(OBJEXT) rpn.$(OBJEXT) rpncalc.$(OBJEXT) \
	scales.$(OBJEXT) set.$(OBJEXT) show.$(OBJEXT) skip.$(OBJEXT) \
	sleep.$(OBJEXT) smooth.$(OBJEXT) source.$(OBJEXT) \
	startup.$(OBJEXT) state.$(OBJEXT) stats.$(OBJEXT) \
	storage.$(OBJEXT) synonyms.$(OBJEXT) template.$(OBJEXT) \
	timer.$(OBJEXT) unlink.$(OBJEXT) utility.$(OBJEXT) \
	variable.$(OBJEXT) version.$(OBJEXT) while.$(OBJEXT) \
	write.$(OBJEXT)
nodist_gri_OBJECTS =
gri_OBJECTS = $(am_gri_OBJECTS) $(nodist_gri_OBJECTS)
gri_DEPENDENCIES = popt/libgripopt.a
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/G_string.Po ./$(DEPDIR)/GriColor.Po \
	./$(DEPDIR)/GriPath.Po ./$(DEPDIR)/GriState.Po \
	./$(DEPDIR)/assert.Po ./$(DEPDIR)/chopword.Po \
	./$(DEPDIR)/close.Po ./$(DEPDIR)/command.Po \
	./$(DEPDIR)/convert.Po ./$(DEPDIR)/debug.Po \
	./$(DEPDIR)/delete.Po ./$(DEPDIR)/differ.Po \
	./$(DEPDIR)/doline.Po ./$(DEPDIR)/draw.Po ./$(DEPDIR)/endup.Po \
	./$(DEPDIR)/expect.Po ./$(DEPDIR)/file.Po \
	./$(DEPDIR)/filter.Po ./$(DEPDIR)/flip.Po ./$(DEPDIR)/gr.Po \
	./$(DEPDIR)/gr_coll.Po ./$(DEPDIR)/graxes.Po \
	./$(DEPDIR)/grcntour.Po ./$(DEPDIR)/gri.Po \
	./$(DEPDIR)/grimage.Po ./$(DEPDIR)/grinterp.Po \
	./$(DEPDIR)/group.Po ./$(DEPDIR)/grsmooth.Po \
	./$(DEPDIR)/grstring.Po ./$(DEPDIR)/heal.Po \
	./$(DEPDIR)/help.Po ./$(DEPDIR)/if.Po ./$(DEPDIR)/ignore.Po \
	./$(DEPDIR)/image.Po ./$(DEPDIR)/input.Po \
	./$(DEPDIR)/insert.Po ./$(DEPDIR)/interp.Po \
	./$(DEPDIR)/main.Po ./$(DEPDIR)/mask.Po ./$(DEPDIR)/math.Po \
	./$(DEPDIR)/new.Po ./$(DEPDIR)/open.Po ./$(DEPDIR)/popen.Po \
	./$(DEPDIR)/query.Po ./$(DEPDIR)/quit.Po ./$(DEPDIR)/read.Po \
	./$(DEPDIR)/regress.Po ./$(DEPDIR)/reorder.Po \
	./$(DEPDIR)/rescale.Po ./$(DEPDIR)/rewind.Po \
	./$(DEPDIR)/rpn.Po ./$(DEPDIR)/rpncalc.Po \
	./$(DEPDIR)/scales.Po ./$(DEPDIR)/set.Po ./$(DEPDIR)/show.Po \
	./$(DEPDIR)/skip.Po ./$(DEPDIR)/sleep.Po ./$(DEPDIR)/smooth.Po \
	./$(DEPDIR)/source.Po ./$(DEPDIR)/startup.Po \
	./$(DEPDIR)/state.Po ./$(DEPDIR)/stats.Po \
	./$(DEPDIR)/storage.Po ./$(DEPDIR)/synonyms.Po \
	./$(DEPDIR)/template.Po ./$(DEPDIR)/timer.Po \
	./$(DEPDIR)/unlink.Po ./$(DEPDIR)/utility.Po \
	./$(DEPDIR)/variable.Po ./$(DEPDIR)/version.Po \
	./$(DEPDIR)/while.Po ./$(DEPDIR)/write.Po
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(gri_SOURCES) $(nodist_gri_SOURCES)
DIST_SOURCES = $(gri_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir distdir-am
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
	$(top_srcdir)/mkinstalldirs install-sh
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"

ACLOCAL = aclocal-1.16
AMTAR = $${TAR-tar}
AM_CXXFLAGS =  -Wall -DCPLUSPLUSNEW -fno-strength-reduce
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.16
AWK = /usr/bin/awk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -I/usr/include/krb5
CPPFLAGS = -I/usr/pkg/include -I/usr/include -I/usr/include/krb5
CXX = c++
CXXCPP = c++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -I/usr/include/krb5
CYGPATH_W = echo
DEFS = -DDEFAULT_GRI_DIR=\"$(DGD)\" $(OSX_BUNDLE) -DPACKAGE_NAME=\"gri\" -DPACKAGE_TARNAME=\"gri\" -DPACKAGE_VERSION=\"2.12.23\" -DPACKAGE_STRING=\"gri\ 2.12.23\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"gri\" -DVERSION=\"2.12.23\" -DIS_NETBSD=1 -DGRI_IS_BIG_ENDIAN=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBNETCDF=1 -DSTDC_HEADERS=1 -DHAVE_LIBREADLINE=1 -DHAVE_ISNAN=1 -DHAVE_ISINF=1 -DHAVE_ACOSH=1 -DHAVE_GETCWD=1 -DHAVE_POPEN=1 -DHAVE_MKSTEMP=1 -DHAVE_TMPNAM=1 -DHAVE_TEMPNAM=1 -DHAVE_GETHOSTNAME=1 -DHAVE_ACCESS=1 -DHAVE_LSTAT=1 -DHAVE_STAT=1 -DHAVE_STRERROR=1 -DHAVE_GETENV=1 -DHAVE_DRAND48=1
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/egrep
EXEEXT = 
EXTRA_CFLAGS_TEMPLATE =  -Wall $(LINUX_EXTRA_CFLAGS)
GREP = /usr/bin/grep
HAVE_CONVERT = yes
INSTALL = /usr/bin/install -c -o pbulk -g users
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib
LIBOBJS = 
LIBS = -lreadline -lnetcdf 
LTLIBOBJS = 
MAKEINFO = /tmp/pkgbuild/graphics/gri/work/.tools/bin/makeinfo
MKDIR_P = .././install-sh -c -d
OBJEXT = o
PACKAGE = gri
PACKAGE_BUGREPORT = 
PACKAGE_NAME = gri
PACKAGE_STRING = gri 2.12.23
PACKAGE_TARNAME = gri
PACKAGE_URL = 
PACKAGE_VERSION = 2.12.23
PATH_SEPARATOR = :
PROGS = gri
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 2.12.23
abs_builddir = /tmp/pkgbuild/graphics/gri/work/gri-2.12.23/src
abs_srcdir = /tmp/pkgbuild/graphics/gri/work/gri-2.12.23/src
abs_top_builddir = /tmp/pkgbuild/graphics/gri/work/gri-2.12.23
abs_top_srcdir = /tmp/pkgbuild/graphics/gri/work/gri-2.12.23
ac_ct_CC = 
ac_ct_CXX = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = powerpc--netbsd
build_alias = powerpc--netbsd
build_cpu = powerpc
build_os = netbsd
build_vendor = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = powerpc--netbsd
host_alias = powerpc--netbsd
host_cpu = powerpc
host_os = netbsd
host_vendor = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = /usr/pkg/info
install_sh = ${SHELL} /tmp/pkgbuild/graphics/gri/work/gri-2.12.23/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/pkg/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/pkg
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com

# gri: src/Makefile.am
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = popt
DIST_SUBDIRS = popt
gri_LDADD = -lreadline -lnetcdf  popt/libgripopt.a
gridir = $(datadir)/gri

#gri_DATA = gri.cmd
nodist_gri_SOURCES = startup.debian startup.redhat 
gri_SOURCES = main.cc G_string.cc GriColor.cc GriPath.cc GriState.cc assert.cc\
 chopword.cc close.cc command.cc convert.cc debug.cc delete.cc differ.cc\
 doline.cc draw.cc endup.cc expect.cc file.cc filter.cc flip.cc\
 gr.cc gr_coll.cc graxes.cc grcntour.cc gri.cc grimage.cc grinterp.cc\
 grsmooth.cc grstring.cc group.cc heal.cc help.cc if.cc ignore.cc\
 image.cc input.cc insert.cc interp.cc mask.cc math.cc new.cc open.cc\
 popen.cc query.cc quit.cc read.cc regress.cc reorder.cc rescale.cc\
 rewind.cc rpn.cc rpncalc.cc scales.cc set.cc show.cc skip.cc sleep.cc\
 smooth.cc source.cc startup.cc state.cc stats.cc storage.cc\
 synonyms.cc template.cc timer.cc unlink.cc utility.cc variable.cc\
 version.cc while.cc write.cc\
 CmdFile.hh command.hh DataFile.hh debug.hh defaults.hh errors.hh\
 extern.hh files.hh GCounter.hh GMatrix.hh gr_coll.hh gr.hh\
 GriColor.hh GriPath.hh GriState.hh GriTimer.hh G_string.hh image_ex.hh\
 install-sh macro.hh postscpt.hh private.hh superus.hh Synonym.hh\
 tags.hh types.hh Variable.hh

EXTRA_DIST = Makefile.dj2 \
 gri.cmd-skel logo.dat rgb.txt\
 gri-mode.el gri_merge gri_unpage\
 startup.msg startup.debian startup.redhat

DGD = ${prefix}/share/gri/
#DGD = /sw/share/gri/
#DGD = $(prefix)/share/gri/$(PACKAGE_VERSION)/

#if OS_IS_LINUX_DEBIAN
#DEFS = -DDEFAULT_GRI_DIR=\"$(prefix)/share/gri/$(PACKAGE_VERSION)/\" -DPACKAGE_NAME=\"gri\" -DPACKAGE_TARNAME=\"gri\" -DPACKAGE_VERSION=\"2.12.23\" -DPACKAGE_STRING=\"gri\ 2.12.23\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"gri\" -DVERSION=\"2.12.23\" -DIS_NETBSD=1 -DGRI_IS_BIG_ENDIAN=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBNETCDF=1 -DSTDC_HEADERS=1 -DHAVE_LIBREADLINE=1 -DHAVE_ISNAN=1 -DHAVE_ISINF=1 -DHAVE_ACOSH=1 -DHAVE_GETCWD=1 -DHAVE_POPEN=1 -DHAVE_MKSTEMP=1 -DHAVE_TMPNAM=1 -DHAVE_TEMPNAM=1 -DHAVE_GETHOSTNAME=1 -DHAVE_ACCESS=1 -DHAVE_LSTAT=1 -DHAVE_STAT=1 -DHAVE_STRERROR=1 -DHAVE_GETENV=1 -DHAVE_DRAND48=1
#else
#DEFS = -DDEFAULT_GRI_DIR=\"$(prefix)/share/gri/\" -DPACKAGE_NAME=\"gri\" -DPACKAGE_TARNAME=\"gri\" -DPACKAGE_VERSION=\"2.12.23\" -DPACKAGE_STRING=\"gri\ 2.12.23\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"gri\" -DVERSION=\"2.12.23\" -DIS_NETBSD=1 -DGRI_IS_BIG_ENDIAN=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBNETCDF=1 -DSTDC_HEADERS=1 -DHAVE_LIBREADLINE=1 -DHAVE_ISNAN=1 -DHAVE_ISINF=1 -DHAVE_ACOSH=1 -DHAVE_GETCWD=1 -DHAVE_POPEN=1 -DHAVE_MKSTEMP=1 -DHAVE_TMPNAM=1 -DHAVE_TEMPNAM=1 -DHAVE_GETHOSTNAME=1 -DHAVE_ACCESS=1 -DHAVE_LSTAT=1 -DHAVE_STAT=1 -DHAVE_STRERROR=1 -DHAVE_GETENV=1 -DHAVE_DRAND48=1
#endif
#DGD = /Applications/Gri
#OSX_BUNDLE = -DOSX_BUNDLE

#.cc.o:
#	$(CXX) -c $(CXXFLAGS) $(EXTRA_CFLAGS) $(AM_CXXFLAGS) $(DEFS) -I$(srcdir) $<
debian_lib = $(debian)/usr/share/gri/$(PACKAGE_VERSION)
#	@echo ""
#	@echo "    /-----------------------------------------------------\\"
#	@echo "    | NOTE: Developers should do 'make author_check' next |"
#	@echo "    \\----------------------------------------------------/"
#	@echo ""

# Sun microsystems, sunOS 5.x
# NOTE: this target doesn't depend on 'gri' or 'doc', etc; this
# is to be done manually, the first step perhaps on an 
# entirely different computer!!
SUNOS5_NAME = gri-$(PACKAGE_VERSION)-SunOS5
the_startup_file = $(srcdir)/startup.msg

# The '-local' part means that these are appended after the automake-created
# targets of names 'all', etc.
#the_startup_file = $(srcdir)/startup.redhat
all: all-recursive

.SUFFIXES:
.SUFFIXES: .cc .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p \
	  ; then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' \
	    -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' \
	`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

gri$(EXEEXT): $(gri_OBJECTS) $(gri_DEPENDENCIES) $(EXTRA_gri_DEPENDENCIES) 
	@rm -f gri$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(gri_OBJECTS) $(gri_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/G_string.Po # am--include-marker
include ./$(DEPDIR)/GriColor.Po # am--include-marker
include ./$(DEPDIR)/GriPath.Po # am--include-marker
include ./$(DEPDIR)/GriState.Po # am--include-marker
include ./$(DEPDIR)/assert.Po # am--include-marker
include ./$(DEPDIR)/chopword.Po # am--include-marker
include ./$(DEPDIR)/close.Po # am--include-marker
include ./$(DEPDIR)/command.Po # am--include-marker
include ./$(DEPDIR)/convert.Po # am--include-marker
include ./$(DEPDIR)/debug.Po # am--include-marker
include ./$(DEPDIR)/delete.Po # am--include-marker
include ./$(DEPDIR)/differ.Po # am--include-marker
include ./$(DEPDIR)/doline.Po # am--include-marker
include ./$(DEPDIR)/draw.Po # am--include-marker
include ./$(DEPDIR)/endup.Po # am--include-marker
include ./$(DEPDIR)/expect.Po # am--include-marker
include ./$(DEPDIR)/file.Po # am--include-marker
include ./$(DEPDIR)/filter.Po # am--include-marker
include ./$(DEPDIR)/flip.Po # am--include-marker
include ./$(DEPDIR)/gr.Po # am--include-marker
include ./$(DEPDIR)/gr_coll.Po # am--include-marker
include ./$(DEPDIR)/graxes.Po # am--include-marker
include ./$(DEPDIR)/grcntour.Po # am--include-marker
include ./$(DEPDIR)/gri.Po # am--include-marker
include ./$(DEPDIR)/grimage.Po # am--include-marker
include ./$(DEPDIR)/grinterp.Po # am--include-marker
include ./$(DEPDIR)/group.Po # am--include-marker
include ./$(DEPDIR)/grsmooth.Po # am--include-marker
include ./$(DEPDIR)/grstring.Po # am--include-marker
include ./$(DEPDIR)/heal.Po # am--include-marker
include ./$(DEPDIR)/help.Po # am--include-marker
include ./$(DEPDIR)/if.Po # am--include-marker
include ./$(DEPDIR)/ignore.Po # am--include-marker
include ./$(DEPDIR)/image.Po # am--include-marker
include ./$(DEPDIR)/input.Po # am--include-marker
include ./$(DEPDIR)/insert.Po # am--include-marker
include ./$(DEPDIR)/interp.Po # am--include-marker
include ./$(DEPDIR)/main.Po # am--include-marker
include ./$(DEPDIR)/mask.Po # am--include-marker
include ./$(DEPDIR)/math.Po # am--include-marker
include ./$(DEPDIR)/new.Po # am--include-marker
include ./$(DEPDIR)/open.Po # am--include-marker
include ./$(DEPDIR)/popen.Po # am--include-marker
include ./$(DEPDIR)/query.Po # am--include-marker
include ./$(DEPDIR)/quit.Po # am--include-marker
include ./$(DEPDIR)/read.Po # am--include-marker
include ./$(DEPDIR)/regress.Po # am--include-marker
include ./$(DEPDIR)/reorder.Po # am--include-marker
include ./$(DEPDIR)/rescale.Po # am--include-marker
include ./$(DEPDIR)/rewind.Po # am--include-marker
include ./$(DEPDIR)/rpn.Po # am--include-marker
include ./$(DEPDIR)/rpncalc.Po # am--include-marker
include ./$(DEPDIR)/scales.Po # am--include-marker
include ./$(DEPDIR)/set.Po # am--include-marker
include ./$(DEPDIR)/show.Po # am--include-marker
include ./$(DEPDIR)/skip.Po # am--include-marker
include ./$(DEPDIR)/sleep.Po # am--include-marker
include ./$(DEPDIR)/smooth.Po # am--include-marker
include ./$(DEPDIR)/source.Po # am--include-marker
include ./$(DEPDIR)/startup.Po # am--include-marker
include ./$(DEPDIR)/state.Po # am--include-marker
include ./$(DEPDIR)/stats.Po # am--include-marker
include ./$(DEPDIR)/storage.Po # am--include-marker
include ./$(DEPDIR)/synonyms.Po # am--include-marker
include ./$(DEPDIR)/template.Po # am--include-marker
include ./$(DEPDIR)/timer.Po # am--include-marker
include ./$(DEPDIR)/unlink.Po # am--include-marker
include ./$(DEPDIR)/utility.Po # am--include-marker
include ./$(DEPDIR)/variable.Po # am--include-marker
include ./$(DEPDIR)/version.Po # am--include-marker
include ./$(DEPDIR)/while.Po # am--include-marker
include ./$(DEPDIR)/write.Po # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@echo '# dummy' >$@-t && $(am__mv) $@-t $@

am--depfiles: $(am__depfiles_remade)

.cc.o:
	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CXX)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ $<

.cc.obj:
	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CXX)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-recursive
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-recursive

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-recursive

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    $(am__make_dryrun) \
	      || test -d "$(distdir)/$$subdir" \
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
	      || exit 1; \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
		am__skip_mode_fix=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(PROGRAMS) all-local
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(bindir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-binPROGRAMS clean-generic mostlyclean-am

distclean: distclean-recursive
		-rm -f ./$(DEPDIR)/G_string.Po
	-rm -f ./$(DEPDIR)/GriColor.Po
	-rm -f ./$(DEPDIR)/GriPath.Po
	-rm -f ./$(DEPDIR)/GriState.Po
	-rm -f ./$(DEPDIR)/assert.Po
	-rm -f ./$(DEPDIR)/chopword.Po
	-rm -f ./$(DEPDIR)/close.Po
	-rm -f ./$(DEPDIR)/command.Po
	-rm -f ./$(DEPDIR)/convert.Po
	-rm -f ./$(DEPDIR)/debug.Po
	-rm -f ./$(DEPDIR)/delete.Po
	-rm -f ./$(DEPDIR)/differ.Po
	-rm -f ./$(DEPDIR)/doline.Po
	-rm -f ./$(DEPDIR)/draw.Po
	-rm -f ./$(DEPDIR)/endup.Po
	-rm -f ./$(DEPDIR)/expect.Po
	-rm -f ./$(DEPDIR)/file.Po
	-rm -f ./$(DEPDIR)/filter.Po
	-rm -f ./$(DEPDIR)/flip.Po
	-rm -f ./$(DEPDIR)/gr.Po
	-rm -f ./$(DEPDIR)/gr_coll.Po
	-rm -f ./$(DEPDIR)/graxes.Po
	-rm -f ./$(DEPDIR)/grcntour.Po
	-rm -f ./$(DEPDIR)/gri.Po
	-rm -f ./$(DEPDIR)/grimage.Po
	-rm -f ./$(DEPDIR)/grinterp.Po
	-rm -f ./$(DEPDIR)/group.Po
	-rm -f ./$(DEPDIR)/grsmooth.Po
	-rm -f ./$(DEPDIR)/grstring.Po
	-rm -f ./$(DEPDIR)/heal.Po
	-rm -f ./$(DEPDIR)/help.Po
	-rm -f ./$(DEPDIR)/if.Po
	-rm -f ./$(DEPDIR)/ignore.Po
	-rm -f ./$(DEPDIR)/image.Po
	-rm -f ./$(DEPDIR)/input.Po
	-rm -f ./$(DEPDIR)/insert.Po
	-rm -f ./$(DEPDIR)/interp.Po
	-rm -f ./$(DEPDIR)/main.Po
	-rm -f ./$(DEPDIR)/mask.Po
	-rm -f ./$(DEPDIR)/math.Po
	-rm -f ./$(DEPDIR)/new.Po
	-rm -f ./$(DEPDIR)/open.Po
	-rm -f ./$(DEPDIR)/popen.Po
	-rm -f ./$(DEPDIR)/query.Po
	-rm -f ./$(DEPDIR)/quit.Po
	-rm -f ./$(DEPDIR)/read.Po
	-rm -f ./$(DEPDIR)/regress.Po
	-rm -f ./$(DEPDIR)/reorder.Po
	-rm -f ./$(DEPDIR)/rescale.Po
	-rm -f ./$(DEPDIR)/rewind.Po
	-rm -f ./$(DEPDIR)/rpn.Po
	-rm -f ./$(DEPDIR)/rpncalc.Po
	-rm -f ./$(DEPDIR)/scales.Po
	-rm -f ./$(DEPDIR)/set.Po
	-rm -f ./$(DEPDIR)/show.Po
	-rm -f ./$(DEPDIR)/skip.Po
	-rm -f ./$(DEPDIR)/sleep.Po
	-rm -f ./$(DEPDIR)/smooth.Po
	-rm -f ./$(DEPDIR)/source.Po
	-rm -f ./$(DEPDIR)/startup.Po
	-rm -f ./$(DEPDIR)/state.Po
	-rm -f ./$(DEPDIR)/stats.Po
	-rm -f ./$(DEPDIR)/storage.Po
	-rm -f ./$(DEPDIR)/synonyms.Po
	-rm -f ./$(DEPDIR)/template.Po
	-rm -f ./$(DEPDIR)/timer.Po
	-rm -f ./$(DEPDIR)/unlink.Po
	-rm -f ./$(DEPDIR)/utility.Po
	-rm -f ./$(DEPDIR)/variable.Po
	-rm -f ./$(DEPDIR)/version.Po
	-rm -f ./$(DEPDIR)/while.Po
	-rm -f ./$(DEPDIR)/write.Po
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am: install-data-local

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am: install-binPROGRAMS install-exec-local

install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man:

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
		-rm -f ./$(DEPDIR)/G_string.Po
	-rm -f ./$(DEPDIR)/GriColor.Po
	-rm -f ./$(DEPDIR)/GriPath.Po
	-rm -f ./$(DEPDIR)/GriState.Po
	-rm -f ./$(DEPDIR)/assert.Po
	-rm -f ./$(DEPDIR)/chopword.Po
	-rm -f ./$(DEPDIR)/close.Po
	-rm -f ./$(DEPDIR)/command.Po
	-rm -f ./$(DEPDIR)/convert.Po
	-rm -f ./$(DEPDIR)/debug.Po
	-rm -f ./$(DEPDIR)/delete.Po
	-rm -f ./$(DEPDIR)/differ.Po
	-rm -f ./$(DEPDIR)/doline.Po
	-rm -f ./$(DEPDIR)/draw.Po
	-rm -f ./$(DEPDIR)/endup.Po
	-rm -f ./$(DEPDIR)/expect.Po
	-rm -f ./$(DEPDIR)/file.Po
	-rm -f ./$(DEPDIR)/filter.Po
	-rm -f ./$(DEPDIR)/flip.Po
	-rm -f ./$(DEPDIR)/gr.Po
	-rm -f ./$(DEPDIR)/gr_coll.Po
	-rm -f ./$(DEPDIR)/graxes.Po
	-rm -f ./$(DEPDIR)/grcntour.Po
	-rm -f ./$(DEPDIR)/gri.Po
	-rm -f ./$(DEPDIR)/grimage.Po
	-rm -f ./$(DEPDIR)/grinterp.Po
	-rm -f ./$(DEPDIR)/group.Po
	-rm -f ./$(DEPDIR)/grsmooth.Po
	-rm -f ./$(DEPDIR)/grstring.Po
	-rm -f ./$(DEPDIR)/heal.Po
	-rm -f ./$(DEPDIR)/help.Po
	-rm -f ./$(DEPDIR)/if.Po
	-rm -f ./$(DEPDIR)/ignore.Po
	-rm -f ./$(DEPDIR)/image.Po
	-rm -f ./$(DEPDIR)/input.Po
	-rm -f ./$(DEPDIR)/insert.Po
	-rm -f ./$(DEPDIR)/interp.Po
	-rm -f ./$(DEPDIR)/main.Po
	-rm -f ./$(DEPDIR)/mask.Po
	-rm -f ./$(DEPDIR)/math.Po
	-rm -f ./$(DEPDIR)/new.Po
	-rm -f ./$(DEPDIR)/open.Po
	-rm -f ./$(DEPDIR)/popen.Po
	-rm -f ./$(DEPDIR)/query.Po
	-rm -f ./$(DEPDIR)/quit.Po
	-rm -f ./$(DEPDIR)/read.Po
	-rm -f ./$(DEPDIR)/regress.Po
	-rm -f ./$(DEPDIR)/reorder.Po
	-rm -f ./$(DEPDIR)/rescale.Po
	-rm -f ./$(DEPDIR)/rewind.Po
	-rm -f ./$(DEPDIR)/rpn.Po
	-rm -f ./$(DEPDIR)/rpncalc.Po
	-rm -f ./$(DEPDIR)/scales.Po
	-rm -f ./$(DEPDIR)/set.Po
	-rm -f ./$(DEPDIR)/show.Po
	-rm -f ./$(DEPDIR)/skip.Po
	-rm -f ./$(DEPDIR)/sleep.Po
	-rm -f ./$(DEPDIR)/smooth.Po
	-rm -f ./$(DEPDIR)/source.Po
	-rm -f ./$(DEPDIR)/startup.Po
	-rm -f ./$(DEPDIR)/state.Po
	-rm -f ./$(DEPDIR)/stats.Po
	-rm -f ./$(DEPDIR)/storage.Po
	-rm -f ./$(DEPDIR)/synonyms.Po
	-rm -f ./$(DEPDIR)/template.Po
	-rm -f ./$(DEPDIR)/timer.Po
	-rm -f ./$(DEPDIR)/unlink.Po
	-rm -f ./$(DEPDIR)/utility.Po
	-rm -f ./$(DEPDIR)/variable.Po
	-rm -f ./$(DEPDIR)/version.Po
	-rm -f ./$(DEPDIR)/while.Po
	-rm -f ./$(DEPDIR)/write.Po
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-local

.MAKE: $(am__recursive_targets) install-am install-strip

.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am all-local \
	am--depfiles check check-am clean clean-binPROGRAMS \
	clean-generic cscopelist-am ctags ctags-am distclean \
	distclean-compile distclean-generic distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-binPROGRAMS install-data install-data-am \
	install-data-local install-dvi install-dvi-am install-exec \
	install-exec-am install-exec-local install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
	ps ps-am tags tags-am uninstall uninstall-am \
	uninstall-binPROGRAMS uninstall-local

.PRECIOUS: Makefile


#### End of system configuration section. ####

# Special rule for templates, so as not to use
# -fno-implicit-templates (g++ weirdness).  This special
# case depends on whether -frepo exists ... and whether the installer
# has temerity to try it!
template.o: template.cc
	$(CXX) -c $(CXXFLAGS) $(EXTRA_CFLAGS_TEMPLATE) $(DEFS) -I$(srcdir) $<
install_linux_debian: gri
	@echo "Installing into '$(debian)' directory"
	install -d $(debian_lib)
	if test -f startup.debian; then sed -e s,VERSION,${PACKAGE_VERSION}, startup.debian > $(debian_lib)/startup.msg; else echo "WARNING: no startup.debian file!"; fi;
	install -d         $(debian)/usr/bin
	install -m 755 gri $(debian)/usr/bin/gri-$(PACKAGE_VERSION)
	(cd $(debian)/usr/bin; ln -fs gri-$(PACKAGE_VERSION) gri)
	install -m 644 gri.cmd  $(debian_lib)/gri.cmd
	install -m 644 rgb.txt  $(debian_lib)/rgb.txt
	install -m 644 logo.dat $(debian_lib)/logo.dat
	if test -f gri_merge; then install -m 755 gri_merge $(debian)/usr/bin; else echo "WARNING: no gri_merge file!"; fi;	
	if test -f gri_unpage; then install -m 755 gri_unpage $(debian)/usr/bin; else echo "WARNING: no gri_unpage file!";fi;
#	install -d $(debian)/usr/share/emacs/site-lisp
#	install -m 644 gri-mode.el $(debian)/usr/share/emacs/site-lisp/

install_linux_debian_grionly: gri
	@echo "Installing into '$(debian)' directory"
	install -d             $(debian_lib)
	install -m 644 gri.cmd  $(debian_lib)/gri.cmd
	install -m 644 rgb.txt  $(debian_lib)/rgb.txt
	install -m 644 logo.dat $(debian_lib)/logo.dat
	if test -f startup.debian; then sed -e s,VERSION,${PACKAGE_VERSION}, startup.debian > $(debian_lib)/startup.msg; else echo "WARNING: no startup.debian file!"; fi;
	install -d         $(debian)/usr/bin
	install -m 755 gri $(debian)/usr/bin/gri-$(PACKAGE_VERSION)

author_check:
	@perl $(srcdir)/check.pl

check:
	@./gri -directory . -c 0 $(srcdir)/../doc/tst_suite/tst_var_syn.gri 
	@./gri -directory . -c 0 $(srcdir)/../doc/tst_suite/tst_control.gri
	@./gri -directory . -c 0 $(srcdir)/../doc/tst_suite/tst_rpn.gri
# 	The next few lines are a kludge since I got bored with trying
# 	to figure out how to redirect things for automake.
	@cp $(srcdir)/../doc/tst_suite/tst_IO.gri   .
	@cp $(srcdir)/../doc/tst_suite/tst_IO_1.dat .
	@cp $(srcdir)/../doc/tst_suite/tst_IO_2.dat .
	@./gri -directory . -c 0 tst_IO.gri
	@rm -f tst_IO.gri tst_IO_1.dat tst_IO_2.dat
	@cat $(srcdir)/../gri.spec      | perl -ane 'if(/griversion (.*)/)     {$$v=$$1; if ("$$v" ne "$(PACKAGE_VERSION)") {print "** Version in gri.spec ($$v) disagrees with $(PACKAGE_VERSION) in Makefile.\n"} else { print "Version number in gri.spec    ... is OK\n";}}'
	@cat $(srcdir)/../debian/changelog | perl -ne 'if (($$. == 1)&&(/\(([^-]+)-/)) {if ("$$1" ne "$(PACKAGE_VERSION)") {print "** Version in debian/changelog ($$1) disagrees with $(PACKAGE_VERSION) in Makefile.\n"} else { print "Version number in debian/changelog ... is OK\n";}}'
package-SunOS5:
	-rm -rf          $(SUNOS5_NAME)
	-mkdir -m 755 -p $(SUNOS5_NAME)
	-mkdir -m 755 -p $(SUNOS5_NAME)/bin
	-mkdir -m 755 -p $(SUNOS5_NAME)/lib
	-mkdir -m 755 -p $(SUNOS5_NAME)/doc
	-mkdir -m 755 -p $(SUNOS5_NAME)/doc/html
	-mkdir -m 755 -p $(SUNOS5_NAME)/doc/html/resources
	-mkdir -m 755 -p $(SUNOS5_NAME)/doc/html/screenshots
	-mkdir -m 755 -p $(SUNOS5_NAME)/doc/html/tst_suite
	-mkdir -m 755 -p $(SUNOS5_NAME)/doc/html/examples
	-cp -p gri                                                          $(SUNOS5_NAME)/bin
	-cp  gri.cmd rgb.txt logo.dat copyright.txt license.txt gri-mode.el $(SUNOS5_NAME)/lib
	-cat startup.msg | sed -e s,VERSION,${PACKAGE_VERSION}, | sed -e "s/DATE/`date`/" > tmp
	-cp tmp                                                           $(SUNOS5_NAME)/lib/startup.msg
	-cat install-SunOS5 | sed -e s,VERSION,${PACKAGE_VERSION}, > tmp
	-cp tmp                                                           $(SUNOS5_NAME)/install
	-chmod a+rx                                                       $(SUNOS5_NAME)/install
	-cp README-SunOS5                                                 $(SUNOS5_NAME)/README
	-cat ../doc/gri-manpage-SunOS5.1 | sed -e s,VERSION,${PACKAGE_VERSION}, >tmp
	-cp tmp                                                           $(SUNOS5_NAME)/doc/gri.1
	-rm -f tmp
#       Next should really be done by "cd doc; make something" etc.
	-cp ../doc/*html                                                     $(SUNOS5_NAME)/doc/html
	-cp ../doc/*png                                                      $(SUNOS5_NAME)/doc/html
	-cp ../doc/resources/*gif                                            $(SUNOS5_NAME)/doc/html/resources
	-cp ../doc/screenshots/*png                                          $(SUNOS5_NAME)/doc/html/screenshots
	-cp ../doc/tst_suite/*dat ../doc/tst_suite/*gri ../doc/tst_suite/*html     $(SUNOS5_NAME)/doc/html/tst_suite
	-cp ../doc/examples/*dat ../doc/examples/*gri ../doc/examples/*html        $(SUNOS5_NAME)/doc/html/examples
	-tar chof $(SUNOS5_NAME).tar $(SUNOS5_NAME)
	-rm -rf $(SUNOS5_NAME)
	-gzip $(SUNOS5_NAME).tar

gri.cmd: gri.cmd-skel
	cat $(srcdir)/gri.cmd-skel | sed -e s,VERSION,${PACKAGE_VERSION}, > gri.cmd
startup.msg-tmp: $(the_startup_file)
	cat $(the_startup_file)    | sed -e s,VERSION,${PACKAGE_VERSION}, -e s,PREFIX,$(prefix), > startup.msg-tmp

all-local: gri.cmd startup.msg-tmp

install-exec-local:
	mkdir -m 755 -p                                 $(DESTDIR)$(prefix)/bin
	$(INSTALL_SCRIPT) $(srcdir)/gri_unpage          $(DESTDIR)$(prefix)/bin/gri_unpage
	$(INSTALL_SCRIPT) $(srcdir)/gri_merge           $(DESTDIR)$(prefix)/bin/gri_merge

install-data-local:
#	mkdir -m 755 -p                                  $(DESTDIR)$(prefix)/share/emacs/site-lisp
#	$(INSTALL_DATA)    $(srcdir)/gri-mode.el         $(DESTDIR)$(prefix)/share/emacs/site-lisp/gri-mode.el
#	mkdir -m 755 -p                                  $(DESTDIR)$(prefix)/share/emacs/site-lisp/gri
#	$(INSTALL_DATA)    $(srcdir)/gri-mode.el         $(DESTDIR)$(prefix)/share/emacs/site-lisp/gri/gri-mode.el
	mkdir -m 755 -p                                  $(DESTDIR)$(prefix)/share/emacs/site-lisp
	$(INSTALL_DATA)    $(srcdir)/gri-mode.el         $(DESTDIR)$(prefix)/share/emacs/site-lisp/gri-mode.el
	mkdir -m 755 -p                                  $(DESTDIR)$(prefix)/share/gri
	$(INSTALL_DATA)    startup.msg-tmp               $(DESTDIR)$(prefix)/share/gri/startup.msg
	$(INSTALL_DATA)    gri.cmd                       $(DESTDIR)$(prefix)/share/gri/gri.cmd
	$(INSTALL_DATA)    rgb.txt                       $(DESTDIR)$(prefix)/share/gri/rgb.txt
	$(INSTALL_DATA)    logo.dat                      $(DESTDIR)$(prefix)/share/gri/logo.dat
uninstall-local:
	rm -f $(DESTDIR)$(prefix)/bin/gri_unpage
	rm -f $(DESTDIR)$(prefix)/bin/gri_merge
	rm -f $(DESTDIR)$(prefix)/share/emacs/site-lisp/gri-mode.el
	rm -f $(DESTDIR)$(prefix)/share/gri/startup.msg
	rm -f $(DESTDIR)$(prefix)/share/gri/gri.cmd
	rm -f $(DESTDIR)$(prefix)/share/gri/rgb.txt
	rm -f $(DESTDIR)$(prefix)/share/gri/logo.dat
	rm -f startup.msg-tmp
	rm -f gri.cmd

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
